thunar select freezes after using mouse to select folders ("detailed view" mode)

Bug #520118 reported by Benoit on 2010-02-10
476
This bug affects 85 people
Affects Status Importance Assigned to Milestone
GTK+
Confirmed
Medium
thunar
Fix Released
Unknown
exo (Ubuntu)
Medium
Lionel Le Folgoc
Lucid
High
Unassigned
gtk+2.0 (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
libfm (Ubuntu)
Undecided
Julien Lavergne
Lucid
Undecided
Unassigned
pcmanfm (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: thunar

In thunar, in "detailed view" mode, if you enter a subrepertory by using the mouse, once inside you cannot select files, or subfiles to go deeper in the repertories. Neither right- click nor left-click are available. However, if you entered using the keyboard everything works.
Once the bug happens, there is no way to interact with the contents of the repertory through the window. You have to close the window to open a new one
This bug will happen every time

ProblemType: Bug
Architecture: i386
Date: Wed Feb 10 23:01:21 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/bin/Thunar
InstallationMedia: Xubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
NonfreeKernelModules: wl
Package: thunar 1.0.1-2ubuntu4
ProcEnviron:
 LANGUAGE=fr_FR.utf8
 LANG=fr_FR.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-11.15-generic
SourcePackage: thunar
Uname: Linux 2.6.32-11-generic i686

WORKAROUND:
Use icon view or compact view to navigate to the desired folder, then a simple Ctrl+2 will show you the detailed view. Another very easy Ctrl+1 or Ctrl+3 puts you back in icon view or compact view to navigate again.

Benoit (ben-ken-hobbit) wrote :
Charlie Kravetz (charlie-tca) wrote :

I can confirm this behaviour in thunar using lucid lynx. Unfortunately, I am unable to obtain a backtrace for the developers. They do need the backtrace to attempt to resolve this, but every time I attempt to get one, the terminal also freezes. Please try to obtain a backtrace following the instructions at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem.

Changed in thunar (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
svilen (az-svilendobrev) wrote :

it appears to only happens in detailed-view mode; not in compact or icons. switching between those makes the deffect appear/disappear.
also i downgraded thunar/data/libthunar to karmic, and the bug persists; i.e. it might be somewhere lower, e.g. api-change.

description: updated
summary: - thunar select ko after use mouse
+ thunar select ko after use mouse ("detailed view" mode)

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at: http://bugzilla.xfce.org/show_bug.cgi?id=6230

Changed in thunar:
importance: Undecided → Unknown
status: New → Unknown
Changed in thunar (Ubuntu):
status: Confirmed → Triaged
summary: - thunar select ko after use mouse ("detailed view" mode)
+ thunar select freezes after using mouse to select folders ("detailed
+ view" mode)
Original Loxxy (originalloxxy) wrote :

glad its not just me that's seeing this

Uwe Helm (1forthedoctor) wrote :

any progress on this? this makes thunar unusable and is a serious showstopper

Charlie Kravetz (charlie-tca) wrote :

Actually, it is usable in Icon view. Just click on View -> View as Icons or use Ctrl+1 in Thunar to switch to it. This makes it a non-showstopper bug.

Changed in gtk+2.0 (Ubuntu):
status: New → Confirmed
status: Confirmed → Triaged
importance: Undecided → Medium
Sebastien Bacher (seb128) wrote :

the issue seems rather specific to what thunar is doing and not impact all gtk applications

Changed in gtk+2.0 (Ubuntu):
importance: Medium → Low
Sune Bredahl (sune-bredahl) wrote :

I have this bug too and I must say this is a showstopper bug. What good is a filemanager that cannot show file details in its default view?

Charlie Kravetz (charlie-tca) wrote :

The simple answer is to use icon view or compact view to navigate to the desired folder, then a simple Ctrl+2 will show you the detailed view. Another very easy Ctrl+1 or Ctrl+3 puts you back in icon view or compact view to navigate again. That adds four keystrokes, if I count both Ctrl and the number you hit. That does not really make it a showstopper.

description: updated
Jane Atkinson (irihapeti) wrote :

When I first reported a duplicate bug in mid-February, I noted that Thunar would behave properly in detailed view if it was set to open files with a single click. It may be worth trying that option.

Alejandro Mery (amery) wrote :

how can it be medium? for people who doesn't use the terminal this bug is critical. the desktop becomes almost unusable.

Charlie Kravetz (charlie-tca) wrote :

Please read comment #10 above. There is no need to use terminal.

Alejandro Mery (amery) wrote :

 thanks, my wife accepted the ctrl+{1,2} trick as a fair workaround :-)

nicobrainless (nicoseb) wrote :

Finally!!!
I have been getting this bug for like 5 month, whenever I first installed lucid lynx...
Since then I have been clicking on the subfolder and entering using the keyboard!

Thunar did not seem popular enough to have a bug created...

this bug actually got better. In the first place, double clicking to open a file, would create the same "dead mouse" problem; now it is only with subfolder.

When it first started, I also noticed the same bug on Nautilus, but I don't like Nautilus so never checked again...

This bug also occurs with pcmanfm, the file manager used by LXDE. I believe all those file manager are based on the same core and something happened with Lucid!

This is not a showstopper, but it is certainly annoying and inconvenient... a workaround isn't good enough, a file manager is constantly used and this is a stupid bug that should be corrected... now the problem is to find someone who knows how!

garybrlow (garybrlow) wrote :

I confirm this and its definitely annoying. I hope this gets fixed in beta 2.

I'm a user of archlinux and we are also investigating this bug in:

http://bugs.archlinux.org/task/18904

From what I've seen the problem arises after upgrading GTK2 to version 2.20.

Downgrading GTK to version 2.18.9 seems to solve the problem.

I've tried to isolate the problem, and it seems to be in the file /usr/lib/libgtk-x11-2.0.so.0 (of course this could be different in other distros)

I've upgraded the GTK again to version 2.20 and just replaced that file with the file from the older 2.18.9 version. After that Thunar works fine again.

Although it's not a proper solution I hope that it could help somebody here and also help the experts to track down the problem more easily.

Best regards. David.

tags: added: iso-testing
ugmoe2000 (ericpulvino) wrote :

I can confirm that downgrading to the version of libgtk that shipped as an upgrade to karmic (vers. libgtk2.0-0_2.18.3-1ubuntu2.2_amd64.deb ) fixes the issue on my Lucid Xubuntu 64 bit install (kernel 2.6.32-19). After downgrading the issue is remedied in pcmanfm but not in thunar but the downgrade breaks functionality in a ton of other packages so this simply confirms in my mind that the problem exists in libgtk. Unfortunately I cannot keep this older package because a ton of other packages depend on the newer version of libgtk in Lucid.

Thomas U. (thomas-unterthiner) wrote :

Just FYI, the issue is not specific to the i386-Release but happens in the amd64-version as well. And as for the show-stopper issue:
Even if a workaround exists, far from everyone is aware of it! And I'm not looking forward to explain to every Xubuntu-user I know how he has to hit 4 keystroke FOR EVERY OTHER ACTION they want to complete in thunar (unless they accept not working in with the detailed view, which in my POV makes the filebrowser useless).

Changed in gtk:
status: Unknown → Confirmed

Perhaps the default could be made one of the views that works and "Detailed List" could be removed from the "View" menu until this is fixed? I just assumed that Thunar was broken.

On 04/19/2010 10:11 AM, Aaron Whitehouse wrote:
> Perhaps the default could be made one of the views that works and
> "Detailed List" could be removed from the "View" menu until this is
> fixed? I just assumed that Thunar was broken.
>
>
I thought "view as icons" was the default, or else the last view used
will be the view you get when you start thunar. But regardless, I still
use "view as detailed list" allot. It does work, but it's a hassle that
I need to switch to "view as icons" or "view as compact list" to browse
through the directories. All you need to do to use "view as detailed
list" is switch view and switch it back to "view as detailed list"
(Ctrl+1 ,Ctrl+2) and it will work until you browse to another directory.

That said, I think this will bug almost every xubuntu user and it is NOT
self evident that you can bypass it by switching views. It's NOT URGENT,
BUT CRITICAL that this is solved before release. I really don't
appreciate this bug being labeled as "Importance: Medium". It might be
only a hassle when you know what's going on, but it will impact on and
confuse almost every xubuntu user.

Julien Lavergne (gilir) wrote :

Also affected pcmanfm 0.5.X, and libfm (the library of pcmanfm 0.9.X).
A workaround was commited on libfm git http://pcmanfm.git.sourceforge.net/git/gitweb.cgi?p=pcmanfm/libfm;a=commitdiff;h=e2129ae7f72c357876768666911fab78104eab2b

Changed in libfm (Ubuntu):
status: New → In Progress
Changed in pcmanfm (Ubuntu):
status: New → Triaged
Changed in libfm (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
The Rook (cjsengland) wrote :

The closest thing I've seen to a "real" fix was posted by someone in the XFCE bug report forum http://bugzilla.xfce.org/attachment.cgi?id=2940. Patching "exo-tree-view.c" in the Ubuntu "exo-0.3.106" (for Lucid) source at https://launchpad.net/ubuntu/+source/exo seems to work without ill effect as far as I can tell. After compiling I just replaced the /usr/lib/libexo-0.3.so.0.5.0 with the patched version, and linked /usr/lib/libexo-0.3.so.0 to it (some versions may require a /usr/lib/libexo-0.3.so link too). Also it appears that the recompiled file expects the /usr/lib/libexo-0.3.0/ folder to be /usr/local/libexec/, so a link to the directory needs to be created there if the source isn't further edited. Obviously, to anyone reading, I take no responsibility for any damage this might cause, TRY AT YOUR OWN RISK, and keep backups of any system files you substitute!

On a side-note, I'm with those who consider this bug critical. Well at least critical to Xubuntu or any XFCE based distro. The real test of a good file manager is efficiency, any gains in Thunar's lightness are immediately lost when a user has to resort to awkward workarounds (excluding hacks) to make very basic functionality usable. I dare say many Thunar/potential users will look for alternative file managers, especially as there doesn't seem to be any clarity when or whether this bug will be fixed. At least there appears to be some progress on the Pcmanfm front now.

Lionel Le Folgoc (mrpouit) wrote :

> [...] seems to work without ill effect as far as I can tell.

Unfortunately, it breaks drag'n'drop of multiple selected files.

The Rook (cjsengland) wrote :

> Unfortunately, it breaks drag'n'drop of multiple selected files.

Could you elaborate please? I've just tried some dragging and dropping experiments, but don't seem to be having any difficulties. Are there very specific conditions where it causes a problem?

Thanks

Sune Bredahl (sune-bredahl) wrote :

The bug is still in the RC so problably it wont be fixed for 10.04 final. This is really a shame.

Lionel Le Folgoc (mrpouit) wrote :

@The Rook:

Here, if I use the patch that resets selection->user_func, 'drag and drop' of multiple files is broken: I can select them, but when I click on one of them to start the drag part, it will deselect all the other ones (because since selection->user_func is reset, it will use the selection function from GtkTreeView, which works like that...).

The Rook (cjsengland) wrote :

@Lionel Le Folgoc

That's interesting. Looking at the exo-tree-view.c file, I gather the impression that exo_noop_false would be required to prevent gtk from deselecting rows other than the clicked one. However, in practice I am not able to replicate this with the exo patched libexo-0.3.so.0.5.0 mentioned earlier. Over the last few days I have tried all manner of multiple select drag n drop routines with the patched exo in Lucid, and have not encountered any anomalies in Thunar's behaviour. The only difference apparent is the eradication of bug 520118. So I wonder why this kludge isn't breaking multiple-select drag n drop for me? I'm guessing that exo_noop_false has served its purpose once the select function is reset to NULL. Anyway, I'm finding the patched exo to be the lesser evil so far, hopefully a real fix will come along soon.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfm - 0.1.10-0ubuntu1

---------------
libfm (0.1.10-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #566241)
   - Fix crash when running as root. (LP: #561903)
   - Fix crash when editing bookmarks.
  * debian/patches/02-detailled-view.patch: Workaround behavior change of
    gtktreeview to make click on detailled view work again. LP: #520118
 -- Julien Lavergne <email address hidden> Sun, 25 Apr 2010 18:35:59 +0200

Changed in libfm (Ubuntu):
status: In Progress → Fix Released
miegiel (nix-miegiel) wrote :

I'm making a happy dance.

May be i am missing something - but my version of thunar does not depend on libfm packages - and i dont have them installed. So i wonder how a change to that package will fix this bug...

GaryW (gnubyexample) wrote :

Whether it is wise or not, this bug is now showing "Affects" four Ubuntu areas (top of the bug report)
and explains comments #29 #30 and query #31 asking about libfm relevance.

For folks who are experiencing this bug in Thunar in Gnome then the discussions
at bugzilla are quite current:
 https://bugzilla.gnome.org/show_bug.cgi?id=612802

GTK/exo/Thunar bug is not specific to Ubuntu as
comment #17 suggests archlinux has seen it, and I have observed it in my
Debian Squeeze installation also.
( This debian bug reporter describes it http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576706 )

I am hoping for a fix rather than a dumb 'workaround', but am guessing it will not happen
in time for Ubuntu Lucid release, as bugzilla.gnome.org comments suggest it is proving tricky
to pin down.

#Launchpad Janitor saying 'blah was fixed' in comment #29 is good news
#for pcmanfm file manager users, but is no help for my GTK/exo/Thunar issue when
#trying Thunar "detailed list view"

Qianqian Fang (fangq) wrote :

this was not fixed! I just upgraded my desktop from Karmic to Lucid, and this bug made my thunar unusable :(

Left click does not work at all on any selected item when this happens. Right click works, but the popup menu is for the parent folder, not for a specific selected file. Keyboard can only move the focused item up or down, but press "enter" will do nothing.

Micah Gersten (micahg) wrote :

@Qianqian Fang

It does not say it was fixed in Thunar, but in libfm.

Qianqian Fang (fangq) wrote :

understand. I am looking forward to the fix in Thunar.

versipellis (asparagus6000) wrote :

If my memory serves me correctly this bug did not begin until the upgrade to Xubuntu 10.04 (from an earlier xubuntu). Until I got irritated enough to report it, and found this bug report (and the associated workaround), I had simply given up working on this computer. It was a serious problem for me. I was bringing my laptop to work instead.

This was one of several bugs that made Xubuntu 10.04 unusable. (The other bugs are: constant firefox crashes, and frozen or slow response from the evince pdf viewer. Sorry. I digress. I'll report these elsewhere.) I've also been using regular ubuntu 10.04 (gnome) for a week, without any problems. If my impression means anything, I would say xubuntu 10.04 is definitely not ready for release.

Xubuntu version:
I'm not the administrator of this machine, but it was upgraded to Xubuntu 10.04 and up-to-date less than a week ago.

versipellis (asparagus6000) wrote :

"If my memory serves me correctly this bug did not begin until the upgrade to Xubuntu 10.04". ...unnecessary clarification: This was my experience. (I guess other people have ran into this earlier.)

Charlie Kravetz (charlie-tca) wrote :

Thanks for conjecture, but if this was caused by Xubuntu 10.04, why is it present in all distributions using Xfce? For example, Xfce now refers those experiencing this to http://bugs.archlinux.org/task/18904 . That would seem to make this much more than an Xubuntu bug.

Mervin Beng (mervinb) wrote :

FYI: the file manager in Lubuntu (pcmanfm 0.9.4) no longer exhibits the detailed view select bug. It's serving as a replacement for Thunar for me at the moment. Having to hit ctrl-1 / ctril-2 just to overcome a bug is too much got me.

Mervin Beng (mervinb) wrote :

Sorry... that should have been "too much for me." Pcmanfm 0.9.4 is from the Lubuntu ppa, and is named "pcmanfm2".

Changed in thunar (Ubuntu):
assignee: nobody → Lionel Le Folgoc (mrpouit)
status: Triaged → In Progress
affects: thunar (Ubuntu) → exo (Ubuntu)
Changed in exo (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Triaged
Changed in exo (Ubuntu):
status: In Progress → Fix Committed
Changed in exo (Ubuntu):
status: Fix Committed → Fix Released
Changed in exo (Ubuntu Lucid):
importance: Medium → High
Changed in libfm (Ubuntu Lucid):
status: New → Fix Released
Changed in pcmanfm (Ubuntu):
status: Triaged → Fix Released
29 comments hidden view all 109 comments

Lionel, bonsoir, je veux vous remercier de votre persistance.
(thanks for your devotion to this)
À+(see ya)

eval- (eval-) wrote :

Is the latest version now fixed? I have been using Nautilus since this bug blocked my ability to work, but I would like to switch back. However I still cannot click on things with detailed list view. AFAIK all my packages are at latest.

Lionel Le Folgoc (mrpouit) wrote :

On Mon, May 17, 2010 at 09:39:28AM -0000, eval- wrote:
> Is the latest version now fixed? I have been using Nautilus since this
> bug blocked my ability to work, but I would like to switch back.
> However I still cannot click on things with detailed list view. AFAIK
> all my packages are at latest.
>

No, it's fixed in maverick, but not in lucid. We're waiting for an ACK
from ubuntu-sru, which, with a bit of luck, may come before lucid is
EOL'd.

--
Lionel Le Folgoc - https://launchpad.net/~mrpouit
E61E 116D 4BA1 3936 0A33 F61D 65D9 A66E 10E2 969A

Hi Lionel, your fix is working pristine. Thankfully, because pcmanfm is dangerously unstable, gave me the creeps after I saw the consequences of some file copies and arguments passed on directories with spaces...I prefer the terminal...

For those eager to get rid of the annoying bug without going through the terminal, catching up with Lionel's work:

go to "system" "software sources" "other software" "add"

ppa:xubuntu-dev/ppa

and then:

ppa:mrpouit/ppa

and close. Sources will rebuld and close.

Then go to "system" "update manager" , the new packages should be there.

Une fois de plus, merci!

Antonio

Lionel Le Folgoc (mrpouit) wrote :

Hi,

You're welcome, but please be aware of some facts:

On Tue, May 18, 2010 at 10:50:46AM -0000, Antonio J. de Oliveira wrote:
>
> […]
>
> ppa:xubuntu-dev/ppa
>

This ppa contains packages of the Xfce 4.8 development releases (4.7.x).
You might experience issues, and you will be alone (well, you can report
them on bugzilla.xfce.org, but not on launchpad). But I use them
everyday, so they should not burn your house.

> and then:
>
> ppa:mrpouit/ppa
>

This ppa contains packages of the new xfce4-panel that will be released
with Xfce 4.8. All panel plugins have to be rebuilt, and currently half
of them are failing to build. So after the upgrade, orage,
xfce4-cpugraph-plugin, etc. won't work anymore.

@ubuntu-sru: May I know what is delaying the ack? The patch is known to
work, the risks of regressions is zero (it's hard to regress something
broken…). Too much time has been wasted already, so I intend to upload
next weekend, with or without ack…

Thanks.

Cheers,

--
Lionel Le Folgoc - https://launchpad.net/~mrpouit
E61E 116D 4BA1 3936 0A33 F61D 65D9 A66E 10E2 969A

Dear Lionel

I'm very aware what a ppa is, I have compiled and made mods to at least 3 packages for personal use (e.g. gEDA pcb), and that you risk, when installing stuff from ppa's with large dependencies to get rid of a bug and get involved with 10000 new bugs... and yes, I saw some minor side effects, but up to now, no worries. Even orage is working.

eval- (eval-) wrote :

Lionel, thanks so much for the update and for pushing for this to be fixed. I applied the git.xfce.org patch you mention and built my first debs, installed them (http://dl.dropbox.com/u/268607/libexo-0.3-0_0.3.106-1ubuntu3_amd64.deb and http://dl.dropbox.com/u/268607/exo-utils_0.3.106-1ubuntu3_amd64.deb) and now Thunar works again! Finally! No problems so far...

I am also very grateful for your warning, for unlike Antonio I would not have realized the extent of changes that PPA would have brought in. Now, if only clicking on an item from another 'Desktop' in the xfce4 panel task list would convince compiz to switch to that 'Desktop'... (Desktop vs. Workspace issue I suppose, the switcher and xfdesktop work correctly though)

Sebastien Bacher (seb128) wrote :

> @ubuntu-sru: May I know what is delaying the ack? The patch is known to work, the risks of regressions is zero (it's hard to regress something broken…). Too much time has been wasted already, so I intend to upload next weekend, with or without ack…

You are working the wrong way around, you don't need an ack to upload, the sru team review things from the upload queue usually not from launchpad buglists

Lionel Le Folgoc (mrpouit) wrote :

On Tue, May 18, 2010 at 03:44:33PM -0000, Sebastien Bacher wrote:
> > @ubuntu-sru: May I know what is delaying the ack? The patch is known
> to work, the risks of regressions is zero (it's hard to regress
> something broken…). Too much time has been wasted already, so I intend
> to upload next weekend, with or without ack…
>
> You are working the wrong way around, you don't need an ack to upload,
> the sru team review things from the upload queue usually not from
> launchpad buglists
>

Aha, interesting, because my previous srus (even one last week) were
ack'd *before*…

At least that's good to know, thanks.

--
Lionel Le Folgoc - https://launchpad.net/~mrpouit
E61E 116D 4BA1 3936 0A33 F61D 65D9 A66E 10E2 969A

Erwin Olario (gowin) wrote :

I tried the PPA route without reading the rest of the post. Now, it did fixed the original Thunar selection problem but it left my XFCE deskotp in a less than desirable state.

Could anyone please tell me how to restore my system back before I added these PPAs:
ppa:xubuntu-dev/ppa
ppa:mrpouit/ppa

and remove all the changes that it brought?

Sebastien Bacher (seb128) wrote :

could depends of the reviewer or the universe sru team might have a different workflow

Erwin there is ppa-purge, see here

http://www.webupd8.org/2010/04/ppa-purge-now-available-via-getdeb.html

changed packages in my system were exo-utils thunar thunar-data xfce4-battery-plugin xfce4-clipman-plugin
  xfce4-datetime-plugin xfce4-dict xfce4-fsguard-plugin xfce4-governor-plugin
  xfce4-mixer xfce4-mount-plugin xfce4-notes-plugin xfce4-panel
  xfce4-places-plugin xfce4-power-manager xfce4-power-manager-data
  xfce4-quicklauncher-plugin xfce4-settings xfce4-systemload-plugin
  xfce4-timer-plugin xfce4-weather-plugin xfce4-xkb-plugin xfdesktop4
  xfdesktop4-data xfswitch-plugin

hope it helps

Antonio

Martin Pitt (pitti) wrote :

SRU ack for http://git.xfce.org/xfce/exo/patch/?id=c85fffcfa78dec9ae12251b9d2974927745ba7ce, please upload.

@Lionel: right, there were different workflows for main/universe. it's fine to upload and get it reviewed in the queue, but if you aren't sure whether a patch is appropriate you can just ask for an ack. SRU is primarily a manpower issue right now, sorry.

Accepted exo into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in exo (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed

for those having installed the ppa:

go to "system" "software sources" "other software" "remove"

ppa:xubuntu-dev/ppa

and then:

ppa:mrpouit/ppa

and close.

in a terminal:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get autoremove
sudo apt-get autoclean

please ignore #84 and use #81 for removal but using:

sudo ppa-purge ppa:mrpouit/ppa

sudo ppa-purge ppa:xubuntu-dev/ppa

and that's it, everything will go back to the previous setup.

Charlie Kravetz (charlie-tca) wrote :

Tested proposed package; works great. Thanks for the fix.

tags: added: verification-done
removed: verification-needed
Jane Atkinson (irihapeti) wrote :

Thank you. Working nicely here as well.

Dietmar (dschabus) wrote :

Works here too. Thank you.

slumbergod (slumbergod) wrote :

I enabled the propose repo and installed about 30mb of updates. Detailed view is working correctly for me now though I notice one of the updates has slowed thunar and file operations considerably. Even deleting a small text file feels sluggish now.

If anyone else has noticed this and has an idea which update might be responsible can you post here so I can try reverting the updated file back to the pre-proposed version.

Dietmar (dschabus) wrote :

All I can tell you is that with all updates from proposed everything works fine here, deleting files in thunar at speed of light :)

Hello

Either with the ppa (which installation/removal instructions I published earlier) or with the standard repository fix, everything is running fine, I tested it both ways, behavior is normal, no side effects.

Cheers

Antonio

Julien Lavergne (gilir) wrote :

pcmanfm with exo fix uploaded to lucid-proposed

Sly_tom_cat (slytomcat) wrote :

Yes! The updating of libexo-comon, libexo and exo-utils from lucid-proposed fixed the issue with detailed view and double-click in thunar in Xubuntu 10.04.

Thanks a lot!

Jonathan Riddell (jr) wrote :

waiting on ubuntu-sru to ack change to pcmanfm before accepting into lucid-proposed

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package exo - 0.3.106-1ubuntu2.1

---------------
exo (0.3.106-1ubuntu2.1) lucid-proposed; urgency=low

  * debian/patches:
    - 01_fix-treeview-gtk2.20.patch: make the treeview work again with gtk 2.20
      (Xfce #6230, lp: #520118, closes: #576706).
    - series: add this patch.
 -- Lionel Le Folgoc <email address hidden> Tue, 18 May 2010 18:10:00 +0200

Changed in exo (Ubuntu Lucid):
status: Fix Committed → Fix Released

Finally! At last! Thank you!

On 5/26/10, Launchpad Bug Tracker <email address hidden> wrote:
> This bug was fixed in the package exo - 0.3.106-1ubuntu2.1
>
> ---------------
> exo (0.3.106-1ubuntu2.1) lucid-proposed; urgency=low
>
> * debian/patches:
> - 01_fix-treeview-gtk2.20.patch: make the treeview work again with gtk
> 2.20
> (Xfce #6230, lp: #520118, closes: #576706).
> - series: add this patch.
> -- Lionel Le Folgoc <email address hidden> Tue, 18 May 2010 18:10:00 +0200
>
> ** Changed in: exo (Ubuntu Lucid)
> Status: Fix Committed => Fix Released
>
> --
> thunar select freezes after using mouse to select folders ("detailed view"
> mode)
> https://bugs.launchpad.net/bugs/520118
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GTK+ GUI Toolkit: Confirmed
> Status in Thunar file manager: Unknown
> Status in “exo” package in Ubuntu: Fix Released
> Status in “gtk+2.0” package in Ubuntu: Triaged
> Status in “libfm” package in Ubuntu: Fix Released
> Status in “pcmanfm” package in Ubuntu: Fix Released
> Status in “exo” source package in Lucid: Fix Released
> Status in “gtk+2.0” source package in Lucid: New
> Status in “libfm” source package in Lucid: Fix Released
> Status in “pcmanfm” source package in Lucid: New
>
> Bug description:
> Binary package hint: thunar
>
> In thunar, in "detailed view" mode, if you enter a subrepertory by using the
> mouse, once inside you cannot select files, or subfiles to go deeper in the
> repertories. Neither right- click nor left-click are available. However, if
> you entered using the keyboard everything works.
> Once the bug happens, there is no way to interact with the contents of the
> repertory through the window. You have to close the window to open a new one
> This bug will happen every time
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Feb 10 23:01:21 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/bin/Thunar
> InstallationMedia: Xubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
> NonfreeKernelModules: wl
> Package: thunar 1.0.1-2ubuntu4
> ProcEnviron:
>  LANGUAGE=fr_FR.utf8
>  LANG=fr_FR.utf8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-11.15-generic
> SourcePackage: thunar
> Uname: Linux 2.6.32-11-generic i686
>
>
> WORKAROUND:
> Use icon view or compact view to navigate to the desired folder, then a
> simple Ctrl+2 will show you the detailed view. Another very easy Ctrl+1 or
> Ctrl+3 puts you back in icon view or compact view to navigate again.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gtk/+bug/520118/+subscribe
>

slumbergod (slumbergod) wrote :

I mentioned that after the proposed updates thunar was working but slower than usual. Renaming .gnome2 seems to have fixed it; the newly generated .gnome2 directory has returned the speed that was there.

Still having two weird issues since the updates:
- unable to automount usb flash drives or dvd data discs
- when my trash is full and I go to delete it, I get some message that a file cannot be deleted. It does delete though

I don't suppose anyone can suggest the names of any other config directories to try and rename so they get recreated. It seems to be some issue to with the volume manager but I don't want to file a new bug when no one else is experiencing it.

Hello

Have you tried to remove .config/xfce4 and .config/xfce4-session directories and logout/login or restart?

Or go to settings/xfce4 settings manager/removable drives and media/storage checking that the first 2 top boxes are checked?

I don't have such issues after 2 upgrades using different methods.

Hope it helps

All the best

Antonio

slumbergod (slumbergod) wrote :

Thanks Antonio. I tried deleting .config/xfce4 but it didn't correct the problem. Curiously, I did not have a .config/xfce-session directory. Should I?

The first three boxes are ticked in the storage window. I have tried unticking and reticking but it seems to make no difference.

I am almost certain the problems are related to a configuration file that is holding things up, much as the speed returned when I renamed the .gnome2 directory.

I'll sit tight and hope an update restores it but I am mostly happy that the detailed view is working again and I have learned to live with occasional strange things in linux :) Thanks for your help. Much appreciated!

slumbergod (slumbergod) wrote :

Solved. After a day's effort searching for the cause I found it. In my desperate attempts to get the detailed thunar view working I tried the xubuntu-dev ppa. Unfortunately, it updated more files than I realised, and this was compounded by then adding xubuntu's proposed updates. Effectively, I'd ended up with a mish-mash of versions for various files.

ppa-purge corrected the updated packages then proposed updated the newly restored files.

ppa-purge has just moved to the top of my list of most useful tools.

Accepted pcmanfm into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pcmanfm (Ubuntu Lucid):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

the issue is not a bug in gtk

Changed in gtk+2.0 (Ubuntu Lucid):
importance: Undecided → Low
status: New → Invalid
Changed in thunar:
status: Unknown → Fix Released
Martin Pitt (pitti) wrote :

Can anybody please test pcmanfm in lucid-proposed and give feedback whether the update works and fixes this? Thank you!

Hi Martin

pcmanfm does not start at all. It just exits gracefully when run from bash.

Cheers

ok, my mistake, oops...had it installed on another machine running ssh without noticing it ;-). pcmanfm works nomally, the flaw seems corrected.

Antonio J. de Oliveira [2010-07-28 11:51 -0000]:
> pcmanfm does not start at all. It just exits gracefully when run from
> bash.

Is that expected behaviour? Does it do the same with the lucid final
version?

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

sorry Martin read #105, everything is ok with pcmanfm regarding directory depth.

Martin Pitt (pitti) on 2010-07-28
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pcmanfm - 0.5.2+svn20091029-1ubuntu3.1

---------------
pcmanfm (0.5.2+svn20091029-1ubuntu3.1) lucid-proposed; urgency=low

  * debian/patches/02-exo-treeview-fix.patch
   - Backport patch from exo to fix treeview on detailled list view.
     See xfce bug 6230, LP: #520118
 -- Julien Lavergne <email address hidden> Fri, 21 May 2010 18:41:47 +0200

Changed in pcmanfm (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in gtk:
importance: Unknown → Medium
GophrenOli (gophrenoli) wrote :

Well, meanwhile this bug was fixed. You may mark this as solved.

Displaying first 40 and last 40 comments. View all 109 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.